FileSets

List File Sets

get

List all FileSets for the organization, optionally including public filesets.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
include_publicbooleanOptional

Include public filesets

Default: false
Responses
chevron-right
200

Successful Response

application/json
get
/filesets/

Create File Set

post

Create a new FileSet for the organization.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

Human-readable name for the FileSet

descriptionany ofOptional

Optional description of the FileSet's purpose

stringOptional
or
nullOptional
metadata_schemaany ofOptional

Optional schema for validating file metadata

or
nullOptional
Responses
post
/filesets/

Get File Set

get

Get a specific FileSet by ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
file_set_idstringRequired
Responses
chevron-right
200

Successful Response

application/json
idstringRequired
namestringRequired
descriptionany ofRequired
stringOptional
or
nullOptional
file_countintegerRequired
indexed_file_countintegerRequired
metadata_schemaany ofOptional
or
nullOptional
is_publicbooleanOptionalDefault: false
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
get
/filesets/{file_set_id}

List Files In Set

get

List all files in a FileSet.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
file_set_idstringRequired
Query parameters
limitinteger · min: 1 · max: 100OptionalDefault: 10
cursorany ofOptional
stringOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
next_cursorany ofOptional
stringOptional
or
nullOptional
has_morebooleanRequired
totalintegerRequired
get
/filesets/{file_set_id}/files

Add File To Set

post

Add a file to a FileSet by providing file information and metadata.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
file_set_idstringRequired
Body
file_idstringRequired

ID of the file

file_dateany ofOptional

The date of the document content. Critical for forward-looking question generation pipelines - this date determines the temporal context for forecasting questions.

string · date-timeOptional
or
nullOptional
metadataany ofOptional

Optional file-level metadata

or
nullOptional
deduplication_idany ofOptional

Optional id used to deduplicate file additions to a FileSet

stringOptional
or
nullOptional
auto_extract_metadatabooleanOptional

If true and the FileSet has a metadata schema, automatically extract metadata from file content using LLM. User-provided metadata takes precedence over extracted values.

Default: false
Responses
post
/filesets/{file_set_id}/files

Get File Set Status

get

Get file status counts for a FileSet.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
file_set_idstringRequired
Responses
chevron-right
200

Successful Response

application/json
pendingintegerOptional

Files awaiting processing

Default: 0
processingintegerOptional

Files currently being processed

Default: 0
activeintegerOptional

Successfully processed files

Default: 0
failedintegerOptional

Files that failed processing

Default: 0
get
/filesets/{file_set_id}/status

Retry Failed Files

post

Retry all failed files in a FileSet.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
file_set_idstringRequired
Body
max_retriesinteger · min: 1 · max: 10Optional

Maximum retry attempts per file

Default: 3
Responses
chevron-right
200

Successful Response

application/json
files_resetintegerRequired

Number of files reset to PENDING status

post
/filesets/{file_set_id}/retry-failed

Last updated